package com.yifu.cloud.plus.v1.yifu.common.security.token;

import org.springframework.security.core.GrantedAuthority;

import java.util.Collection;

/**
 * cas token
 */
public class CasAuthenticationToken extends MyAuthenticationToken {

    public CasAuthenticationToken(Object principal, Object credentials) {
        super(principal, credentials);
    }

    public CasAuthenticationToken(Object principal, Object credentials, Collection<? extends GrantedAuthority> authorities) {
        super(principal, credentials, authorities);
    }

}
